RIAccountingData (accounting-node 1.4.0-2.17.0 API)
Date: 2013-11-29

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.common.accounting.node.persistence
Class RIAccountingData

    java.lang.Object
      org.gcube.common.accounting.node.persistence.RIAccountingData

All Implemented Interfaces:
  Serializable

    public class RIAccountingData

extends Object
implements Serializable

Author:
  Andrea Manzi(CERN)
See Also:
  Serialized Form

Nested Class Summary
`static class` | `RIAccountingData.statisticsType`

Constructor Summary
`RIAccountingData(Long interval)`

Method Summary
`void` | `addCalls(long calls)`
`boolean` | `equals(Object obj)`
`StatisticsData` | `getAvgCallsNumber()`
`StatisticsData` | `getAvgInvocationTime()`
`String` | `getServiceClass()`
`String` | `getServiceName()`
`TopCallerData` | `getTopCallerData()`
`long` | `getTotalCalls()`
`int` | `hashcode()`
`void` | `setServiceClass(String serviceClass)`
`void` | `setServiceName(String serviceName)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RIAccountingData

    public RIAccountingData(Long interval)

Method Detail

### getAvgInvocationTime

    public StatisticsData getAvgInvocationTime()

### getAvgCallsNumber

    public StatisticsData getAvgCallsNumber()

### addCalls

    public void addCalls(long calls)

### getTotalCalls

    public long getTotalCalls()

### getTopCallerData

    public TopCallerData getTopCallerData()

### hashcode

    public int hashcode()

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### getServiceName

    public String getServiceName()

### setServiceName

    public void setServiceName(String serviceName)

### getServiceClass

    public String getServiceClass()

### setServiceClass

    public void setServiceClass(String serviceClass)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.